c-icap-stretch(8)

NAME
c-icap-stretch - A simple utility for stretching ICAP servers

SYNOPSIS
c-icap-stretch [ -V ] [ -VV ] [ -i icap_servername ] [ -p port ] [ -s service ] [ -urls filename ] [ -req ] [ -m max-requests ] [ -t threads-number ] [ -d debug level ] [ -x icap-header ] [ -hx http-request-header ] [ -rhx http-response-header ] file1 file2 ...

DESCRIPTION
c-icap-stretch is a simple utility for loading ICAP servers.

OPTIONS

-V  Print version

-VV Print build informations

-i icap_servername
    The hostname of the icap server. The default is localhost

-p port
    The server port. The default port value is 1344

-s service
    The service name. The default service name is "echo"

-urls filename
    File with urls, one url per line, to use for stress test

-req
    Send request modification requests

-m max-requests
    The maximum requests to send

-t threads-number
    The number of client threads to start

-d level
    debug level info to stdout

-x icap-header
    Include the icap-header in icap request headers

-hx http-request-header
    Include the http-request-header in http request headers

-rhx http-response-header
    Include the http-response-header in http response headers

file1 file2 ...
    The files to use as body data to the ICAP requests.

SEE ALSO
c-icap(8) c-icap-client(8) c-icap-config(8) c-icap-libicapapi-config(8) c-icap-mkbdb(8)

BUGS
It can used only for ICAP response modification services.

AUTHOR
Tsantilas Christos